#dhportal-dealer-key-error { padding: .5em 1em; border: 1px solid #900; background-color: #ffd3d3; color: #600; }

#dhportal-dealer {
    display:grid;
    grid-template-columns:1fr 2fr;
    gap:16px;   
}
#dhportal-search {
    overflow-y:scroll;
    position:relative;
}
#dhportal-dealer-form {
    padding-top:8px;
}
#dhportal-dealer-form > div:nth-child(1) {
    white-space:nowrap;
}
#dhportal-dealer-form > div {
    position:relative;
}
#dhportal-search-content {
    position:absolute;
    left:0;
    top:0;
    width:100%;
    box-sizing:border-box;
    padding:0 8px 0 0;
}
#dhportal-dealer-location {
    display:inline-block;
    height:32px;
    line-height:32px;
    padding:8px;
    vertical-align:top;
    border:1px solid #ccc;
    border-right-width:0;
    box-sizing:content-box;
    outline-width:0;
    width:calc(100% - 48px - 16px - 3px);
    font-size:12pt;
    margin:0;
}
#dhportal-dealer-location-field {
    position:absolute;
    left:8px;
    top:-8px;
    font-size:10pt;
    line-height:12pt;
    padding:0 4px;
    background-color:#fff;
    pointer-events:none;
}
#dhportal-dealer-error {
    font-size:10pt;
    line-height:12pt;
}
#dhportal-dealer-clear::after {
    content:"Clear";
    text-decoration:underline;
    font-size:10pt;
    cursor:pointer;
}
#dhportal-dealer-locate {
    display:inline-block;
    width:48px;
    height:48px;
    background:#fff url("/source/cd053922bb44dbb43de8c31872bf8bd0/my-location.svg") no-repeat center center;
    background-size:28px 28px;
    cursor:pointer;
    vertical-align:top;
    border:1px solid #ccc;
    box-sizing:content-box;
}
#dhportal-dealer-map-container {
    display:none;
}
#dhportal-dealer-map {
    padding:min(80vh, 100%) 0 0 0;
}
#dhportal-dealer-errors,
#dhportal-dealer-list {
    font-weight:700;
    border-top:1px solid #ccc;
    margin-top:8px;
    padding-top:8px;
}
/* #dhportal-dealer-errors::after {
    content:"Errors";
} */
#dhportal-dealer-list::after {
    content:var(--dealer-results-text, "Results");
}
/* #dhportal-dealer-list + div > div {
    margin-top:24px;
} */


.dhportal-dealer-info {
    cursor:pointer;
    padding:20px;
    border-bottom:1px solid #777;
}
.dhportal-dealer-info .list_pin,
.dhportal-dealer-info-window .list_pin {
    padding: 2px 8px;
    border-radius: 40px;
    aspect-ratio: 1/1;
    margin-right: 8px;
    display: inline-block;
    min-width: 28px;
    min-height: 28px;
    box-sizing: border-box;
    display: inline-grid;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
    color: white;
}



.dhportal-dealer-info:hover {
    background-color:#f5f5f5;
}
.dhportal-dealer-info > div:nth-child(1),
.dhportal-dealer-info-window {
    padding-bottom:4px;
}
.dhportal-dealer-info > div:nth-child(1),
.dhportal-dealer-info-window > div:nth-child(1) {
    font-weight:700;
}
.dhportal-dealer-info > div:not(.dhportal-dealer-info-window-nocontact):nth-child(2)::after,
.dhportal-dealer-info-window > div:not(.dhportal-dealer-info-window-nocontact):nth-child(2)::after {
    content:" (contact)";
}
.dhportal-dealer-info > div:nth-child(4)::after,
.dhportal-dealer-info-window > div:nth-child(4)::after {
    content:" miles away";
}
.dhportal-dealer-info > div:nth-child(5)::after,
.dhportal-dealer-info-window > div:nth-child(5)::after {
    content:" (fax)";
}
/* .dhportal-dealer-info > div:nth-child(6) > a::after,
.dhportal-dealer-info-window > div:nth-child(6) > a::after {
    content:" (phone)";
} */
.dhportal-dealer-info > div:nth-child(7) > a::after,
.dhportal-dealer-info-window > div:nth-child(7) > a::after {
    content:"Visit Website";
}
.dhportal-dealer-info > div:nth-child(8) > a::after {
    display: none;
}
.dhportal-dealer-info > div:nth-child(8) > a::after,
.dhportal-dealer-info-window > div:nth-child(8) > a::after {
    content:"Contact Dealer";
}
#dhportal-dealer-location-field::after {
    display:block;
    content:"Enter lookup location";
}
#dhportal-dealer-submit {
    display: inline-block !important;
    border: 1px solid transparent;
    width: auto !important;
    text-transform: uppercase;
    border-radius: 0;
    margin-bottom: 10px;
}
#dhportal-dealer-submit::after {
    content:'Submit';
}

@media (max-width:800px) {
    #dhportal-dealer-results {
        font-size:0.9em;
    }
}

@media (max-width:720px) {
    #dhportal-dealer {
        grid-template-columns:1fr;
    }
    #dhportal-search {
        overflow:hidden;
    }
    #dhportal-search-content {
        position:relative;
        padding:0;
    }
}

/* Progress Spinner */
.loader,
.loader:before,
.loader:after {
  border-radius: 50%;
  width: 2.5em;
  height: 2.5em;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation: load7 1.8s infinite ease-in-out;
  animation: load7 1.8s infinite ease-in-out;
  display: inline-block;
}
.loader {
  color: #698fb1;
  font-size: 10px;
  margin: 80px auto;
  position: relative;
  text-indent: -9999em;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
  display: inline-block;
  display: none;
  margin: 0 0 0 3.5em;
  transform: scale(0.5);
}
.loader:before,
.loader:after {
  content: '';
  position: absolute;
  top: 0;
}
.loader:before {
  left: -2.5em;
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}
.loader:after {
  left: 2.5em;
}
@-webkit-keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.2em;
  }
  40% {
    box-shadow: 0 2.5em 0 0;
  }
}
@keyframes load7 {
  0%,
  80%,
  100% {
    box-shadow: 0 2.5em 0 -1.2em;
  }
  40% {
    box-shadow: 0 2.5em 0 0;
  }
}

/* Legend */
#legend {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 999999;
    background: #fff;
    color: black;
    padding: 10px;
    display: grid;
}

#legend > div {
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    padding-bottom: 5px;
}

#legend .legend-color {
    width: 20px;
    height: 20px;
    display: inline-block;
    margin-right: 10px;
    border-radius: 50% 50% 50% 0;
    transform: rotate(315deg) scaleY(1.2, 1.2);
}
